ToolErrorReporter (rhino 1.7.14 API)

org.mozilla.javascript.tools

## Class ToolErrorReporter

- java.lang.Object
- - org.mozilla.javascript.tools.ToolErrorReporter

- All Implemented Interfaces:
    ErrorReporter

      public class ToolErrorReporter
      extends java.lang.Object
      implements ErrorReporter

  Error reporter for tools. Currently used by both the shell and the compiler.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolErrorReporter(boolean reportWarnings)`
    `ToolErrorReporter(boolean reportWarnings, java.io.PrintStream err)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(java.lang.String message, java.lang.String sourceName, int line, java.lang.String lineSource, int lineOffset)` Report an error.
    `static java.lang.String` | `getMessage(java.lang.String messageId)` Look up the message corresponding to messageId in the org.mozilla.javascript.tools.shell.resources.Messages property file.
    `static java.lang.String` | `getMessage(java.lang.String messageId, java.lang.Object[] args)`
    `static java.lang.String` | `getMessage(java.lang.String messageId, java.lang.Object arg1, java.lang.Object arg2)`
    `static java.lang.String` | `getMessage(java.lang.String messageId, java.lang.String argument)`
    `boolean` | `hasReportedError()`
    `boolean` | `isReportingWarnings()`
    `static void` | `reportException(ErrorReporter er, RhinoException ex)`
    `void` | `reportException(RhinoException ex)`
    `EvaluatorException` | `runtimeError(java.lang.String message, java.lang.String sourceName, int line, java.lang.String lineSource, int lineOffset)` Creates an EvaluatorException that may be thrown.
    `void` | `setIsReportingWarnings(boolean reportWarnings)`
    `void` | `warning(java.lang.String message, java.lang.String sourceName, int line, java.lang.String lineSource, int lineOffset)` Report a warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolErrorReporter

          public ToolErrorReporter(boolean reportWarnings)

    - #### ToolErrorReporter

          public ToolErrorReporter(boolean reportWarnings,
                                   java.io.PrintStream err)

  - ### Method Detail

    - #### getMessage

          public static java.lang.String getMessage(java.lang.String messageId)

      Look up the message corresponding to messageId in the org.mozilla.javascript.tools.shell.resources.Messages property file. For internationalization support.

    - #### getMessage

          public static java.lang.String getMessage(java.lang.String messageId,
                                                    java.lang.String argument)

    - #### getMessage

          public static java.lang.String getMessage(java.lang.String messageId,
                                                    java.lang.Object arg1,
                                                    java.lang.Object arg2)

    - #### getMessage

          public static java.lang.String getMessage(java.lang.String messageId,
                                                    java.lang.Object[] args)

    - #### warning

          public void warning(java.lang.String message,
                              java.lang.String sourceName,
                              int line,
                              java.lang.String lineSource,
                              int lineOffset)

      Description copied from interface: `ErrorReporter`
      Report a warning. The implementing class may choose to ignore the warning if it desires.
      Specified by:
        `warning` in interface `ErrorReporter`
      Parameters:
        `message` - a String describing the warning
        `sourceName` - a String describing the JavaScript source where the warning occured; typically a filename or URL
        `line` - the line number associated with the warning
        `lineSource` - the text of the line (may be null)
        `lineOffset` - the offset into lineSource where problem was detected

    - #### error

          public void error(java.lang.String message,
                            java.lang.String sourceName,
                            int line,
                            java.lang.String lineSource,
                            int lineOffset)

      Description copied from interface: `ErrorReporter`
      Report an error. The implementing class is free to throw an exception if it desires. If execution has not yet begun, the JavaScript engine is free to find additional errors rather than terminating the translation. It will not execute a script that had errors, however.
      Specified by:
        `error` in interface `ErrorReporter`
      Parameters:
        `message` - a String describing the error
        `sourceName` - a String describing the JavaScript source where the error occured; typically a filename or URL
        `line` - the line number associated with the error
        `lineSource` - the text of the line (may be null)
        `lineOffset` - the offset into lineSource where problem was detected

    - #### runtimeError

          public EvaluatorException runtimeError(java.lang.String message,
                                                 java.lang.String sourceName,
                                                 int line,
                                                 java.lang.String lineSource,
                                                 int lineOffset)

      Description copied from interface: `ErrorReporter`
      Creates an EvaluatorException that may be thrown. runtimeErrors, unlike errors, will always terminate the current script.
      Specified by:
        `runtimeError` in interface `ErrorReporter`
      Parameters:
        `message` - a String describing the error
        `sourceName` - a String describing the JavaScript source where the error occured; typically a filename or URL
        `line` - the line number associated with the error
        `lineSource` - the text of the line (may be null)
        `lineOffset` - the offset into lineSource where problem was detected
      Returns:
        an EvaluatorException that will be thrown.

    - #### hasReportedError

          public boolean hasReportedError()

    - #### isReportingWarnings

          public boolean isReportingWarnings()

    - #### setIsReportingWarnings

          public void setIsReportingWarnings(boolean reportWarnings)

    - #### reportException

          public static void reportException(ErrorReporter er,
                                             RhinoException ex)

    - #### reportException

          public void reportException(RhinoException ex)